using Knoks.Core.Entities;
using Knoks.Framework.Services;
using System.Threading.Tasks;

namespace Knoks.Core.Logic.Interfaces
{
    public interface IPhoneManager
    {
        bool IsFormatted(PhoneNumber phoneNumber);
        Task<PhoneNumber> GetPhoneNumber(string phoneNumber, string countryCode = null);
        string GetPinCode(PhoneNumber phoneNumber);
        bool IsValidPinCode(PhoneNumber phoneNumber, string pinCode);
    }
}
